Get async EQL search results
- GET /_eql/search/{id}
Get the current status and available results for an async EQL search or a stored synchronous EQL search.
Query parameters
-
keep_aliveunion oneOf · default: 5d -
Period for which the search and its results are stored on the cluster. Defaults to the keep_alive value set by the search’s EQL search API request.
-
Values:
-10 -
wait_for_completion_timeoutunion oneOf -
Timeout duration to wait for the request to finish. Defaults to no timeout, meaning the request waits for complete search results.
-
Values:
-10 - Reference
Response
application/json